Package Details: kafkatool2 2.0.7-1

Git Clone URL: https://aur.archlinux.org/kafkatool2.git (read-only, click to copy)
Package Base: kafkatool2
Description: The Ultimate Kafka UI Tool, version 2
Upstream URL: http://www.kafkatool.com
Keywords: kafka kafkatool tool
Licenses: custom
Submitter: zsolt-donca
Maintainer: zsolt-donca
Last Packager: zsolt-donca
Votes: 1
Popularity: 0.001300
First Submitted: 2018-05-29 12:13
Last Updated: 2020-01-13 13:37

Latest Comments

1 2 Next › Last »

zsolt-donca commented on 2020-01-26 12:07

@aromanos I don't see how the md5sum changed. To me it seems to have the same sum as in PKGBUILD: '02381b21afb2c59a09a757c0c989efab'. Also, the download page still states 2.0.7, so the version doesn't seem to have changed either: http://www.kafkatool.com/download.html

aromanos commented on 2020-01-26 09:47

md5sum changed one more time to 'd41d8cd98f00b204e9800998ecf8427e'

zsolt-donca commented on 2020-01-13 13:38

Fixed the md5sum mismatch by updating the package to version 2.0.7

koryu commented on 2020-01-13 13:17

md5sums of kafkatool.sh changed again to: '02381b21afb2c59a09a757c0c989efab'

yaute commented on 2019-12-16 08:33

md5sums in pgkbuild 'e83a8ae85faef996b065d2862c55b15c'

md5sums of kafkatool.sh download '4c2a3673cd8d0da1b873770faf0c5634'

koryu commented on 2019-11-25 13:53

I use yay and wanted to adjust the md5sum in the PKGBUILD locally, so I downloaded Kafka Tool 2.0.5 for Linux from http://www.kafkatool.com/download.html but the kafkatool.sh has the same sum as I found in the PKGBUILD. Ah, I had to choose cleanBuild for the package. It's fixed.

zsolt-donca commented on 2019-11-25 13:32

@koryu Yes, you might have an older version of kafkatool.sh downloaded in your directory from a previous build. I'd suggest cleaning up your local clone of the repo by doing

git clean -xfd

and then trying again

makepkg -si

Or just try an AUR helper, such as yay.

koryu commented on 2019-11-25 12:33

I actually found, that the md5 sum is the same, when you download it from the homepage. Something's wrong here.

zsolt-donca commented on 2019-03-22 07:56

Fixed the MD5 mismatch by upgrading this package to the new Kafkatool2 release (2.0.4). Unfortunately we'll always have these issues because Kafkatool's developers don't offer a permanent link to specific versions of their product; there is only a link to the latest version. Whenever that changes, this package breaks (with MD5 mismatch), and I need to manually update it to fix it.

Please keep commenting when this happens or flagging this package out-of-date.

zsolt-donca commented on 2018-09-27 15:43

Thanks for pointing it out. They've updated Kafkatool2 to version 2.0.2, and that's what caused the checksum mismatch. Unfortunately they don't seem to have a permanent link to a specific version of the installer, so we'll have this mismatch problem issue every time a new version of Kafkatool is released.